This page was not yet optimized for use on mobile devices.
ISC Cryptographic Development Kit (CDK)
Certificate details
| Certificate ID | #3105 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 05.01.2018 , 15.08.2018 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy |
| Exceptions |
|
| Description | The CDK is a software module. The physical embodiment of the computer hardware on which it runs is a "multi-chip standalone module" in FIPS 140-2 terminology. The "physical cryptographic boundary" is defined to be the entire computer on which the CDK software runs. As a software module, the "logical boundary" contains the software modules that comprise the CDK shared link library. |
| Tested configurations |
|
| Vendor | Information Security Corporation http://www.infoseccorp.com |
| Lab | COACT INC CAFE LAB |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-256, DES, TDEA, Triple-DES, Skipjack, HMAC, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512, CBC-MAC, CMACAsymmetric Algorithms
ECDH, ECDSA, ECC, Diffie-Hellman, DH, DHE, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA2, SHA-2, SHA-3, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHAKE128, SHAKE256Schemes
MAC, Key Exchange, Key Agreement, Key agreementProtocols
TLS, TLS 1.2Randomness
DRBG, RBGElliptic Curves
P-224, P-256, P-384, P-521, P-192, K-233, K-283, K-409, K-571, B-233, B-283, B-409, B-571, K-163Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XEX, XTSVendor
MicrosoftSecurity level
Level 1, level 1Standards
FIPS 140-2, FIPS 46-3, FIPS 81, FIPS 180-4, FIPS 185, FIPS 186-4, FIPS 197, FIPS 198-1, FIPS 202, FIPS 186-2, SP 800-20, SP 800-38A, SP 800-38B, SP 800-38C, SP 800-38D, SP 800-38E, SP 800-56A, SP 800-67, SP 800-89, SP 800-90, SP 800-107, SP 800-131A, SP 800-38F, SP 800-135, SP 800-90A, NIST SP 800-90A, PKCS#1, RFC 2437, RFC 2104, RFC 3447, RFC 3610, RFC 4493, RFC 5288Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3105,
"dgst": "2fa382a80d7c2d79",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#2197",
"DSA#1090",
"#1090",
"CVL#853",
"KTS#4002",
"#4002",
"AES#4002",
"SHS#3307",
"CVL#832",
"CVL#854",
"KAS#85",
"DRBG#1192",
"ECDSA#892",
"HMAC#2615",
"RSA#2065",
"CVL#831",
"SHA-3#4"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 41,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 9
},
"ECDH": {
"ECDH": 6
},
"ECDSA": {
"ECDSA": 16
}
},
"FF": {
"DH": {
"DH": 19,
"DHE": 1,
"Diffie-Hellman": 12
},
"DSA": {
"DSA": 16
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 3
},
"CCM": {
"CCM": 5
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 2
},
"GCM": {
"GCM": 12
},
"OFB": {
"OFB": 1
},
"XEX": {
"XEX": 1
},
"XTS": {
"XTS": 5
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"TLS": {
"TLS": 4,
"TLS 1.2": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 2,
"Key agreement": 2
},
"KEX": {
"Key Exchange": 3
},
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-233": 6,
"B-283": 5,
"B-409": 4,
"B-571": 5,
"K-163": 1,
"K-233": 4,
"K-283": 5,
"K-409": 5,
"K-571": 5,
"P-192": 2,
"P-224": 10,
"P-256": 16,
"P-384": 12,
"P-521": 8
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES GCM IV 3": 1,
"AES-128": 5,
"AES-256": 1,
"DES40": 1,
"HMAC 2065": 2,
"HMAC-SHA-1": 4,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 10,
"HMAC-SHA-3": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"HMAC-SHA-512/224": 2,
"HMAC-SHA-512/256": 2,
"HMAC-SHA256": 2,
"PKCS#1": 2,
"SHA- 256": 8,
"SHA-0": 1,
"SHA-1": 15,
"SHA-2": 3,
"SHA-224": 18,
"SHA-256": 18,
"SHA-3": 6,
"SHA-384": 25,
"SHA-512": 28,
"SHA2": 1,
"SHA3-224": 3,
"SHA3-256": 3,
"SHA3-384": 3,
"SHA3-512": 3
}
},
"fips_security_level": {
"Level": {
"Level 1": 3,
"level 1": 4
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 15
},
"SHA2": {
"SHA-2": 3,
"SHA-224": 18,
"SHA-256": 18,
"SHA-384": 25,
"SHA-512": 28,
"SHA2": 1
},
"SHA3": {
"SHA-3": 6,
"SHA3-224": 3,
"SHA3-256": 3,
"SHA3-384": 3,
"SHA3-512": 3
}
},
"SHAKE": {
"SHAKE128": 2,
"SHAKE256": 2
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 32
},
"RNG": {
"RBG": 1
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 29,
"FIPS 180-4": 2,
"FIPS 185": 1,
"FIPS 186-2": 1,
"FIPS 186-4": 7,
"FIPS 197": 2,
"FIPS 198-1": 2,
"FIPS 202": 2,
"FIPS 46-3": 1,
"FIPS 81": 1
},
"NIST": {
"NIST SP 800-90A": 2,
"SP 800-107": 1,
"SP 800-131A": 1,
"SP 800-135": 1,
"SP 800-20": 1,
"SP 800-38A": 3,
"SP 800-38B": 2,
"SP 800-38C": 2,
"SP 800-38D": 2,
"SP 800-38E": 2,
"SP 800-38F": 1,
"SP 800-56A": 3,
"SP 800-67": 2,
"SP 800-89": 1,
"SP 800-90": 1,
"SP 800-90A": 3
},
"PKCS": {
"PKCS#1": 1
},
"RFC": {
"RFC 2104": 1,
"RFC 2437": 1,
"RFC 3447": 1,
"RFC 3610": 1,
"RFC 4493": 1,
"RFC 5288": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 34,
"AES-128": 5,
"AES-256": 1
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 14
},
"DES": {
"DES": 7
}
},
"constructions": {
"MAC": {
"CBC-MAC": 1,
"CMAC": 10,
"HMAC": 25,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 5,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
},
"miscellaneous": {
"Skipjack": {
"Skipjack": 7
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Microsoft": {
"Microsoft": 1
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#2197",
"DSA#1090",
"CVL#853",
"KTS#4002",
"AES#4002",
"SHS#3307",
"CVL#832",
"CVL#854",
"KAS#85",
"DRBG#1192",
"ECDSA#892",
"HMAC#2615",
"RSA#2065",
"CVL#831",
"SHA-3#4"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#4002",
"#1090"
]
},
"policy_metadata": {
"/Author": "Alex Johns",
"/Comments": "",
"/Company": "",
"/CreationDate": "D:20180727165918-04\u002700\u0027",
"/Creator": "Acrobat PDFMaker 11 for Word",
"/Keywords": "",
"/ModDate": "D:20180727170013-04\u002700\u0027",
"/Producer": "Adobe PDF Library 11.0",
"/SourceModified": "D:20180724214733",
"/Subject": "",
"/Title": "",
"pdf_file_size_bytes": 462327,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://csrc.nist.gov/publications/nistpubs/800-38C/SP800-38C_updated-July20_2007.pdf",
"http://www.itl.nist.gov/fipspubs/fip185.htm",
"https://www.ietf.org/rfc/rfc3447.txt",
"http://csrc.nist.gov/groups/STM/cavp/validation.html",
"http://www.infoseccorp.com/products/cdks.htm",
"http://www.ietf.org/rfc/rfc2104.txt",
"http://csrc.nist.gov/publications/fips/fips81/fips81.htm",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf",
"http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-107-rev1/sp800-107-rev1.pdf",
"http://http/csrc.nist.gov/publications/nistpubs/800-38B/SP_800-38B.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38D/SP-800-38D.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Ar2.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38E/nist-sp-800-38E.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"http://standards.ieee.org/findstds/standard/1619-2007.html",
"http://csrc.nist.gov/publications/nistpubs/800-89/SP-800-89_November2006.pdf",
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-90A/SP800-90A.pdf",
"http://csrc.nist.gov/publications/fips/fips46-3/fips46-3.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-67-Rev1/SP-800-67-Rev1.pdf",
"https://tools.ietf.org/html/rfc4493",
"http://csrc.nist.gov/publications/nistpubs/800-38a/sp800-38a.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"http://www.ietf.org/rfc/rfc2437.txt",
"http://csrc.nist.gov/publications/nistpubs/800-20/800-20.pdf",
"http://csrc.nist.gov/groups/STM/cmvp/",
"https://www.ietf.org/rfc/rfc3610.txt",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar1.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 27
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "43f5271c32e614d562e28ff9b85834df247bd062eb1fc670ef83a31b398def45",
"source_hash": "4ce27fbceaa155abc588046f15ec4b58daf8f3738ead265603cef708d834967e",
"txt_hash": "45ae4adf846cc2ea247695df126111da6c9f84f618f744e993a2c9854f14a3e6"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. The module generates cryptographic keys whose strengths are modified by available entropy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertJan2018.pdf",
"date_sunset": null,
"description": "The CDK is a software module. The physical embodiment of the computer hardware on which it runs is a \"multi-chip standalone module\" in FIPS 140-2 terminology. The \"physical cryptographic boundary\" is defined to be the entire computer on which the CDK software runs. As a software module, the \"logical boundary\" contains the software modules that comprise the CDK shared link library.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "ISC Cryptographic Development Kit (CDK)",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "8.0",
"tested_conf": [
"CentOS 6.7 (64-bit) running on Intel Core i7 with PAA",
"CentOS 6.7 (64-bit) running on Intel Core i7 without PAA",
"Microsoft Windows 10 (64-bit) running on AMD A8-3850 without PAA",
"Microsoft Windows 10 (64-bit) running on Intel Core i7 with PAA",
"Microsoft Windows 10 (64-bit) running on Intel Core i7 without PAA (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-01-05",
"lab": "COACT INC CAFE LAB",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-08-15",
"lab": "COACT INC CAFE LAB",
"validation_type": "Update"
}
],
"vendor": "Information Security Corporation",
"vendor_url": "http://www.infoseccorp.com"
}
}